Christian Maeder Christian.Maeder at
Mon Oct 20 10:16:05 EDT 2008


currently I've got a problem installing from hackage.
  GHC (package manager) version
  cabal-install version 0.6.0
  using version of the Cabal library

I get:

Building network-

    Could not find module `Data.Generics':
      it is a member of package base-, which is hidden

even with:
  cabal install network --constrain="base<4"

(A similar problem happened with Shellac.)
How is the smart selection between base-3 and base-4 going to work?

Eventually, I want to install hxt-filter and Shellac-compatline.
(The interface in editline changed for Shellac-editline.)

Cheers Christian

More information about the Glasgow-haskell-users mailing list